## git-buildpackage 0.9.22

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-export-orig   \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-import-ref    \
        gbp-pq            \
        gbp-pristine-tar  \
        gbp-pull          \
        gbp-push          \
        gbp-tag           \
        gbp-buildpackage-rpm \
        gbp-import-srpm   \
        gbp-pq-rpm        \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = \
	gbp.conf \
	$(NULL)

MANUAL=manual-html
XML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(XML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version\s\+=\s\+"\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog
MAN_DATE=$(shell dpkg-parsechangelog -l ../debian/changelog -SDate | TZ=UTC LC_ALL=C date -f- +'%d %B %Y')
IMAGES=$(wildcard images/*png)
DEST_IMAGES=$(subst images/,$(MANUAL)/images/,$(IMAGES))

# Select docbook-to-man tool
ifeq ($(shell which docbook2x-man), )
	DOCBOOK_TO_MAN=docbook-to-man
else
	DOCBOOK_TO_MAN=docbook2x-man
endif

all: manual $(MANPAGES)

manual: $(MANUAL)/index.html $(DEST_IMAGES) css

$(MANUAL)/index.html: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	mkdir -p $(MANUAL)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<
	cp /usr/share/gtk-doc/data/*.png \
	   /usr/share/gtk-doc/data/*.css \
	   $(MANUAL)

$(MANUAL)/gbp.pdf: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<

css: $(MANUAL)/gbp.css $(MANUAL)/gbp.svg
$(MANUAL)/gbp.css $(MANUAL)/gbp.svg: gbp.css gbp.svg
	cp gbp.css gbp.svg $(MANUAL)/

html_images: $(DEST_IMAGES)
$(MANUAL)/images/%.png: images/%.png
	mkdir -p $(basename $@)
	install $< $@

%.1 %.5: man.gbp.xml manpages/%.xml
	$(DOCBOOK_TO_MAN) -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.xml: $(VERSION_ENT)

$(GBP_VERSION): ../debian/changelog
	cd .. && python setup.py build --help >/dev/null

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r $(MANUAL)
	-rm *.1 *.5 $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.9.22) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [1586313] Define %python_sitelib for autopkgtest.
    The rpm package no longer defines this, instead there is python3_sitelib
    in /usr/lib/rpm/macros.d/macros.python3 provided by the
    python3-rpm-macros package (not in Debian).
  * [5949fbc] autopkgtest: Set %_arch.
    Seems to be needed on armhf. (Closes: #980256)
  * [43ead9c] rpm: Stop decoding strings.
    Fails with newer rpmlib
  * [c6731c0] rpm: Open tempfile in text mode
  * [2dc9953] rpm: Fix tags in rpm spec files.
    Patches are named similar to sources, counting from 0.
    https://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/RPM_Guide/ch09s03s04.html
  * [8b3abc9] rpm: Fix tags in rpm spec files
    (Closes: #980637)

  [ Guido Günther ]
  * [6391e0a] tests: Honor GBP_TESTS_NOCLEAN in rpm tests too
  * [99af76a] d/control: Require newer rpm.  The version changed API and
    parsing strictness in multiple places, don't try to cater for older
    versions.
  * [785e204] Update rpm component test submodule
  * [9efbe12] d/control: Switch to dh-compat 13
  * [ef79503] dh_missing: Ignore __pycache__
  * [190b19d] d/control: Bump supported python3 version.
    We specify current stable as a lower bound.
  * [bb396dd] Drop maintainer scripts.
    They were needed for the oldstable -> stable upgrade
  * [67ce18a] manpages: Fix typo in gbp-buildpackage-rpm.1
  * [16c23ec] stricter arch check to unbreak test on i386 in salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Feb 2021 09:15:22 +0100

=== control ===
Source: hello-debhelper
Section: devel
Priority: extra
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Homepage: http://www.gnu.org/software/hello/

Package: hello-debhelper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hello
Provides: hello
Replaces: hello
Description: The classic greeting, and a good example
 The GNU hello program produces a familiar, friendly greeting.  It
 allows non-programmers to use a classic computer science tool which
 would otherwise be unavailable to them.
 .
 Seriously, though: this is an example of how to do a Debian package.
 It is the Debian version of the GNU Project's `hello world' program
 (which is itself an example for the GNU Project).
 .
 This is the same as the hello package, except it uses debhelper to
 make the deb.  Please see debhelper as to what it is.

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 docbook2x,
 flake8,
 gtk-doc-tools,
 libdistro-info-perl,
 perl,
 pydoctor,
 python3 (>= 3.5),
 python3-coverage,
 python3-dateutil,
 python3-mock,
 python3-nose,
 python3-nosexcover,
 python3-pkg-resources,
 python3-rpm,
 python3-setuptools,
 xsltproc,
# For the testsuite
 bzip2 <!nocheck>,
 cpio <!nocheck>,
 devscripts (>= 2.17.7~) <!nocheck>,
 git (>= 1:1.7.9.1-1~) <!nocheck>,
 pristine-tar (>= 1.14) <!nocheck>,
 rpm (>= 4.16.1) <!nocheck>,
 unzip <!nocheck>,
 zipmerge <!nocheck>,
# For the network tests
 curl <!nocheck>,
 python3-requests <!nocheck>,
Standards-Version: 4.4.0
Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python3-Version: >= 3.7

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python3-dateutil,
 python3-pkg-resources,
 sensible-utils,
Recommends: pristine-tar (>= 1.41),
 cowbuilder | pbuilder | sbuild,
 python3-requests
Suggests: python3-notify2, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp import-orig: import a new upstream version into the git repository
  * gbp export-orig: export an upstream tarball from the git repository
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories
  * gbp push: push content to remote repositories
  * gbp tag: tag a Debian package in git
  * gbp pristine-tar: create pristine-tar commits

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python3-rpm (>= 4.16.1),
 rpm (>= 4.16.1),
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.

=== debian/rules ===
#!/usr/bin/make -f
  
EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/
PK4_DIR = /usr/share/pk4/hooks-available/unpack/

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make
else
	@echo "Checks disabled via DEB_BUILD_OPTIONS"
endif

override_dh_auto_build:
	dh_auto_build
	make docs

override_dh_auto_install:
	dh_auto_install
	dh_bash-completion
	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
	install -m644 debian/git-buildpackage.zsh-completion \
		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp
	mkdir -p debian/git-buildpackage/$(PK4_DIR)
	install -m755 debian/pk4 \
		debian/git-buildpackage/$(PK4_DIR)/gbp
	chmod a+x debian/tmp/usr/lib/python3.?/dist-packages/gbp/scripts/supercommand.py

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

## git-buildpackage 0.9.22ubuntu1

=== debian/changelog ===
git-buildpackage (0.9.22ubuntu1) hirsute; urgency=medium

  * tests/11_test_dch_main.py: Fix OS release check for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Feb 2021 22:30:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),

## git-buildpackage 0.9.24

=== debian/changelog ===
git-buildpackage (0.9.24) unstable; urgency=medium

  [ Guido Günther ]
  * [82750c0] dch: Require EMAIL or DEBEMAIL to be set.
    The alternative would be to set a dummy address in case of
    --git-author but that again can use $EMAIL so just fail if
    both are unset. (Closes: #987611)
  * [c48b0f4] Add translation infrastructure.
    Make it simple to create/update the pot file and provide an initial po
    file for de.
  * [6ac98c7] d/control: Drop versioned python3 dep.
    Even oldoldstable is recent enough
  * [e8292e3] d/control: Add RulesRequiresRoot
  * [e80151a] d/control: Depend on dh-sequence-python3.
    This makes the requirement more obvious since dh-python does
    multiple things

  [ Emanuele Aina ]
  * [26d6ceb] git: Actually include the missing key name in the KeyError message
  * [f90e4f8] Fix import-dsc on empty repo if defaultBranch!=master.
    (Closes: #906600)

  [ Anthony Sottile ]
  * [6c92ebb] Use collections.abc.Iterable instead of collections.Iterable
    since Python 3.10 dropped the alias.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Oct 2021 09:46:11 +0200

git-buildpackage (0.9.23) experimental; urgency=medium

  [ Michael Prokop ]
  * [4d15467] zsh completion: update completion for "pull" and further new
    commands. Provide zsh completion for new commands config, export-orig,
    import-ref, pristine-tar,push, tag. While at it, also extend completion
    for `gbp pull`.

  [ Andrej Shadura ]
  * [434d558] import-dsc: Delete NULs from dpkg-parsechangelog output before
    parsing. Commit messages may not contain NUL characters; in practice,
    Debian changelogs sometimes do, usually as the result of incorrectly used
    encoding for non-ASCII personal names.  As a safety net, delete all NULs
    from the output of dpkg-parsechangelog before parsing it, so that they
    don’t get fed into Git or anything else further in the processing.
    (Closes: #981340)
  * [0d21789] clone: Don’t check out the Debian branch if it doesn’t exist
  * [b17c14a] gbp.git: Change list_tree to return an iterator.
    When working with huge trees, we want to avoid consuming large amounts
    of memory just to throw away most of it almost immediately when we only
    need one entry or a few of them.
  * [3fa9f4d] gbp.git: Add support for long listing format (with object sizes)
    This is useful to be able to scan a tree for a specific file
    but only act if it’s non-empty.
  * [8e0e7cc] repo_setup: Add check/setup_gitattributes
    setup_gitattributes() sets up .git/info/attributes in a way to prevent
    transformations from interfering with packaging, because the working tree
    files can differ from the Git revision history (and from the source
    packages).
    Similar functionality has been implemented by dgit and git-deborig, so we
    try to stay compatible and re-use the name of the attribute macro. Since
    dgit doesn’t disable export-subst and export-ignore, which may interfere
    with export-orig, we add this on top the same way git-deborig does.
    dgit used to have an older preset missing some of the attributes, so if
    we find those, we disable them.
    The user, should they choose so, still can re-enable the attributes
    disabled in this way by adding more specific rules further in the
    .git/info/attributes file.
  * [20052e1] clone: Add --defuse-gitattributes.
    On clone, disable Git attributes that may interfere with building
    packages shipping .gitattributes *iff* they ship those files.
    Set to auto by default, can also be turned off completely or
    can be performed unconditionally.
  * [7a9079a] scripts: Add setup-gitattributes subcommand.
    The setup-gitattributes subcommands overrides Git attributes
    unconditionally, without verifying first the package ships any
    .gitattributes files.
  * [660c027] docs: gbp-clone: Document --defuse-gitattributes.
    Describe concisely what the option does; a longer description
    will go into a separate manpage.
  * [85b0b65] docs: Add a manpage for gbp setup-gitattributes.
    Describle how and why the attributes are being disabled, refer
    to dgit, git-deborig and Git documentation; add a reference to
    the gbp-clone manpage.
  * [0621195] d/control: Add the new subcommand to the package description
  * [acd81c9] d/control: Capitalise Git throughout the package descriptions
  * [6a53c23] scripts: Make setup_gitattributes future-proof
    * Add --all (default) and --[no-]dgit-defuse-attrs to enable
      adding more options in future.
    * Rewrite the manual page to reflect the change in approach.
    * Error out when running with no presets enabled
  * [b29f355] Install the setup_gitattributes script
  * [6ab3421] Add tests for setup-gitattributes functionality

  [ Jonathan Rubenstein ]
  * [d50d590] Add info about --git-ignore-branch when not on branch
    (Closes: #956491)

  [ Emanuele Aina ]
  * [fc56884] dch: Add support for the --local=suffix option
    (Closes: #857370)

  [ Guido Günther ]
  * [d6a92cc] tests: Match the correct files in filter tests.
    Verify we match at all by adding a positive test as well
  * [35d91d5] setup.py: Avoid dpkg-parsechangelog.
    This helps on non-debian systems
  * [c341c19] setup.py: Allow for more liberal version numbers.
    Otherwise this causes trouble for backports, downstreams, etc.
  * [82bb712] spec: Install setup-git-attributes command.
    This unbreaks the autopkgtest
  * [f48e18c] spec: Switch requires to python3 too.
    Thanks to Quanah Gibson-Mount
  * [e34e595] docs: Use either python3 or python.
    Some distros (such as Debian) don't ship a /usr/bin/python anymore

  [ Logan Rosen ]
  * [a54baad] tests/11_test_dch_main.py: Fix OS release check for Ubuntu.
    (Closes: #983204)

  [ Arnaud Ferraris ]
  * [0a03572] manpages: fix gbp-setup-gitattributes
  * [3f8a58c] repo_setup: fix documentation generation
    docstring format for bullet lists requires a leading dash. This fix


## git-buildpackage 0.9.25

=== Makefile ===
PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
NOSE_OPTS=--with-xcoverage
TEST_LOCALE?=C.UTF-8

all: syntax-check test

all+net:
	$(MAKE) GBP_NETWORK_TESTS=1 all

test:
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
	PYTHONPATH=.					\
	LC_ALL=$(TEST_LOCALE) python3 setup.py nosetests $(NOSE_OPTS)

syntax-check:
	flake8 $(FLAKE_OPTS)
	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)

docs:
	$(MAKE) -C docs
	$(MAKE) apidocs

apidocs:
	mkdir -p build
	pydoctor -v --config=.pydoctor.cfg

.PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.25) unstable; urgency=medium

  * [e6c86c1] buildpackage: Map 'debian/latest' and 'debian/main' to sid too.
    This avoids having to specify a suite with more modern common branch
    names.
  * [196a9ee] tests: Make sure DEBEMAIL is set.  Otherwise dch based tests
    fail (Closes: #998573)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Nov 2021 10:24:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  docbook2x,
  flake8,
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
  pydoctor,
- python3 (>= 3.5),
+ python3,
  python3-coverage,
  python3-dateutil,
  python3-mock,
@@ -39,6 +39,7 @@
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
+Rules-Requires-Root: no
 X-Python3-Version: >= 3.7
 
 Package: git-buildpackage
@@ -58,19 +59,20 @@
 Suggests: python3-notify2, unzip, sudo
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
-  * gbp buildpackage: build a package out of a git repository, check for local
+  * gbp buildpackage: build a package out of a Git repository, check for local
     modifications and tag appropriately
-  * gbp import-orig: import a new upstream version into the git repository
-  * gbp export-orig: export an upstream tarball from the git repository
-  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
+  * gbp import-orig: import a new upstream version into the Git repository
+  * gbp export-orig: export an upstream tarball from the Git repository
+  * gbp import-{dsc,dscs}: import existing Debian source packages into a Git
     repository
   * gbp dch: generate Debian changelog entries from Git commit messages
   * gbp {pull,clone}: clone and pull from remote repos
   * gbp pq: manage debian/patches easily
   * gbp create-remote-repo: create remote repositories
   * gbp push: push content to remote repositories
-  * gbp tag: tag a Debian package in git
+  * gbp tag: tag a Debian package in Git
   * gbp pristine-tar: create pristine-tar commits
+  * gbp setup-gitattributes: set up Git attributes to disable transformations
 
 Package: git-buildpackage-rpm
 Architecture: all
@@ -84,9 +86,9 @@
 Suggests: python3-notify, unzip, zipmerge, mock
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
-  * gbp buildpackage-rpm: build a package out of a git repository, check for
+  * gbp buildpackage-rpm: build a package out of a Git repository, check for
     local modifications and tag appropriately
-  * gbp import-srpm: import existing RPM source packages into a git
+  * gbp import-srpm: import existing RPM source packages into a Git
     repository
   * gbp pq-rpm: manage patches easily
  .

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-  
+
 EXAMPLE_SCRIPTS=\
     gbp-add-patch          \
     gbp-cowbuilder-sid     \
@@ -47,4 +47,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/
-

## git-buildpackage 0.9.26

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	$(MAKE) GBP_NETWORK_TESTS=1 all
 
 test:
+	export HOME=/nonexisting;                       \
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
@@ -27,6 +28,6 @@
 
 apidocs:
 	mkdir -p build
-	pydoctor -v --config=.pydoctor.cfg
+	pydoctor -v gbp tests/doctests/
 
 .PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.26) unstable; urgency=medium

  [ Quanah Gibson-Mount ]
  * [677500d] rpm: Avoid devscript dependency.
    The package is currently not available everywhere.

  [ Andrej Shadura ]
  * [231ecef] import-orig: Don’t hardcode the pristine-tar branch
  * [de3c7c8] export-orig: Consistently refer to the pristine-tar branch.
    Since we’re checking pristine_tar_branch, not pristine_tar.branch,
    use the same expression in the log even though it’s not supposed
    to be different.
  * [1065bca] config: Add missing comma
  * [6acd556] deb.git, scripts: Use cannot rather than can not for clarity
    "Can not" may in some cases mean something different than "cannot",
    use "cannot" to make sure there are no misunderstandings.

  [ Unit 193 ]
  * [f268448] uscan: Remove pre-devscripts 2.10.70 compat code.
    We can rely on the <target> element being present in dehs output.
    The output it looks for from uscan no longer matches anyway.

  [ Guido Günther ]
  * [c8782f2] HACKING: mention how to rerun a single test
  * [bb783b5] HACKING: Document how to keep test repos around
  * [63ce4ed] tests: Fix "test_push_failure" with newer git.
    The test created a broken tag on the remote side to avoid that being
    pushed in the test however git 2.34 and newer fail every push to that
    repo so rather create a non-ff branch instead to make the push fail.
  * [caf64cb] push: Make --debian-tag='' match the documentation.
    An empty Debian tag indicates "don't care" about the packaging branch.
    Don't fail in that case but rather push out up to the branch tip.
    this makes it simpler to push the current development work via
      gbp  push --debian-tag='' <remote>
    But we'll need to add less obscure ways in follow up commits too.
  * [8db5af7] pq: Check if repo is clean before importing patches
    (Closes: #1005321)
  * [dbadeed] rpm.changelog: Drop non breaking space.
    This trips up pydoctor.
    Thanks to Carsten Schönert for debugging help
  * [40b9693] rpm.policy: Drop non breaking space.
    This trips up pydoctor.
    Thanks to Carsten Schönert for debugging help

  [ Antonio Terceiro ]
  * [5dcd753] docs: port build system to newer pydoctor.
    According to https://pydoctor.readthedocs.io/en/latest/help.html, the
    command line and configuration parsing has changed in an incompatible
    way. These changes fix the documentation build for me, but are probably
    backwards-incompatible with older versions of pydoctor.
  * [0dfc259] tests: set HOME to an unexisting directory.
    The test suite contains several assumptions about the global git
    configuration, including but not limited to the default branch name
    being `master`. By running the tests against a unexisting HOME, git will
    not load the user configuration and instead use all the git defaults.
  * [1a5fd69] debian/rules: fix build with python3.10 as default
  * [6733ab9] tests: fix input data to create-remote-repo tests
    (Closes: #1010061)
  * [2405e15] push: skip pristine-tar push if already present remotely.
    When one is working on an older branch (stable update or backport), the
    pristine-tar branch may already contain new commits after the one
    corresponding to the upstream version in question. (Helps: #1001163)

  [ Nicolas Boulenguez ]
  * [e17d814] scripts: add -v shortcut for --verbose where it has been
    forgotten
    (Closes: #1010750)

  [ Roland Mas ]
  * [3627fa0] docs: Fix argument for "gbp pq export --commit"

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 May 2022 10:56:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	mkdir -p debian/git-buildpackage/$(PK4_DIR)
 	install -m755 debian/pk4 \
 		debian/git-buildpackage/$(PK4_DIR)/gbp
-	chmod a+x debian/tmp/usr/lib/python3.?/dist-packages/gbp/scripts/supercommand.py
+	chmod a+x debian/tmp/usr/lib/python3.*/dist-packages/gbp/scripts/supercommand.py
 
 override_dh_auto_clean:
 	dh_auto_clean

## git-buildpackage 0.9.27

=== debian/changelog ===
git-buildpackage (0.9.27) unstable; urgency=medium

  [ Guido Günther ]
  * [7717b39] git/repository: Disable signatures when grepping for commits.
    Otherwise get the signature back as well.
    Thanks to наб for the patch (Closes: #1010370)
  * [86b4fd8] config: Use ConfigParser instead of deprecated SafeConfigParser
    (Closes: #1011344)
  * [83e7791] tests: Test import-orig from upstream branch
  * [14ea481] deb: Decode changelog content when fetched from git.
    When importing not form the upstream branch the changelog is fetched
    via `git show`. Decode the bytes in that case. (Closes: #1004354)
  * [4d173ac] docs: Fix --upstream-signature flag description.
    Thanks to Tino Mettler
  * [42a1406] clone: Allow to skip alias expansion.
    Add an option that allow to skip exansion of aliases like salsa:
    by gbp so that git can do that. (Closes: #983085)
  * [9ab4a0e] pkgpolicy: Add type annotations.
    Just enough to  make mypy happy.
  * [39ae57e] Ignore imports without type annotations for now.
    Ignore rpm and libnotify for the moment
  * [92c3fd2] dch: Add minimal type information.
    Just enough to make mypy happy
  * [441bd27] Makefile: add type-check
  * [05ea122] tests: Add "gbp import-orig --uscan" test
  * [36737d2] uscan: Drop pre 2.11 devscripts compat code.
    It's not even in oldoldoldstable anymore
  * [613fcb8] docs: Make --component more prominent
    (Closes: #934200)
  * [7a674e0] docs: Ship gbp-setup-gitattributs man page
  * [14170d6] dch: Don't crash when we fail to get an upstream version
    (Closes: #879495)
  * [25327d1] smoke-rpm: Avoid deprecated distutils
  * [59bf3a6] repository: list_tree: Handle '-'
  * [3e30ce3] repository.get_submodules: Only strip repo path from the
    beginning.  We shouldn't just replace any occurence since we otherwise
    might also substitute in the submodule.
    Based on a patch by "ushen <yshxxsjt715@gmail.com>".
    See https://github.com/agx/git-buildpackage/pull/82
  * [03348fd] repository: Add helper to prefix branch with 'refs/heads/'
    No attempt is being made to ensure this is a local branch.
  * [a5e6dea] pull: Prefix local branch with 'refs/heads/'
    This can resolve ambiguity when generating the rev list.
    (Closes: #966627)
  * [d2200e4] Add breaks on older dgit.
    See #1005873, #1010061

  [ Nicolas Boulenguez ]
  * [ff524f1] debhelper: make package prefix explicit in configuration files.
    This slightly improves readability.
  * [6d1c325] debian/rules: simplify installation of zsh and pk4.
    There seems to be no reason to change their names and permissions
    between the source tree and the eventual installation path.
  * [8742d3f] rules: simplify thanks to debhelper compat 13.
    When dh-sequence-foo is listed in build-depends, debhelper
    automatically inserts dh_foo in the commands.
    override_dh_auto_test is not invoked anymore if DEB_BUILD_OPTIONS
    contains nocheck.
    execute_after_dh_* is available and more readable than override_dh_*.
    Move chmod to execute_after_dh_fixperms for clarity.
    Examples are not compressed anymore.
  * [4c9032e] debian/rules: remove obsolete and unused Make variables
  * [bd529f0] debian/copyrigt: switch to machine-readable format 1.0
  * [36499a8] Move some cleaning from debian/rules to debian/clean
  * [9bdb516] debian/clean: add forgotten files
  * [7740d59] debian/rules: really export GBP_NETWORK_TESTS to tests
    $(MAKE) GBP_NETWORK_TESTS=1
    was setting a Make variable in the sub-Make, but not exporting it for
    test/*.py subprocesses.
  * [71a1556] debian/rules: clean __pycache__ directories generated during the
    build
  * [ee38574] clone: add second allowed form for vcs-git protocol to manual
    page

  [ Arnaud Rebillout ]
  * [abce93c] import-dsc: Fix error message when missing debian branch.
    The error message mistakenly talks about the upstream branch when it
    should be talking about the debian branch.
    (Closes: #984516)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 May 2022 10:07:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-bash-completion,
  dh-sequence-python3,
  docbook2x,
  flake8,
@@ -56,6 +57,7 @@
 Recommends: pristine-tar (>= 1.41),
  cowbuilder | pbuilder | sbuild,
  python3-requests
+Breaks: dgit (<< 9.16~)
 Suggests: python3-notify2, unzip, sudo
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:

## git-buildpackage 0.9.29

=== debian/changelog ===
git-buildpackage (0.9.29) unstable; urgency=medium

  [ Guido Günther ]
  * [f76f200] clone: Allow to automatically add upstream vcs.
    While "gbp import-orig" supports "--upstream-vcs" since some time to
    link to the upstream git history however setup of the upstream remote
    repo so far was manual.
    To make this more automatic add "--add-upstream-vcs" to "gbp clone"
    (defaulting to False) and set up the upstreamvcs remote in case there's
    sufficient information in debian/upstream/metadata. Once added fetch
    from that remote initially.
  * [37cd681] git-pbuilder: export GBP_{DIST,ARCH,BUILDER} to the environment.
    This makes sure we don't export very generic vars while still being able
    to make decisions based on what was passed to gbp.
  * [2f463b9] config: Print correct default for postunpack hook
  * [5155e98] Build-depend on python3-filelock.
    This works around #1020024

  [ Pete Moore ]
  * [907e17a] rpm: Fix flake8

  [ Stefano Rivera ]
  * [ccbb64b] Specify a sysconfig scheme in smoke-rpm.
    Debian uses the posix_local scheme by default, since Python 3.10,
    causing the rpm to be built with the incorrect layout.
  * [3954043] Explicitly use the deb install layout when building our RPM.
    Debian defaults to installing to /usr/local, unless told otherwise. This
    is usually done by passing --install-layout=deb to setup.py, when called
    directly. But that's only an option on Debian systems that have this
    patch. Set the environment variable equivalent, instead.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Sep 2022 16:45:34 +0200

git-buildpackage (0.9.28) unstable; urgency=medium

  [ Diane Trout ]
  * [09338d2] pkgpolicy: Use type annotations that also work for python 3.9
    (Closes: #1012717)

  [ Guido Günther ]
  * [666389b] export-orig: Allow for --pristine-tar-commit.
    No reason to restrict this to build-package

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Jul 2022 11:50:33 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,14 @@
  python3,
  python3-coverage,
  python3-dateutil,
+ python3-filelock,
  python3-mock,
  python3-nose,
  python3-nosexcover,
  python3-pkg-resources,
  python3-rpm,
  python3-setuptools,
+ python3-yaml,
  xsltproc,
 # For the testsuite
  bzip2 <!nocheck>,
@@ -53,6 +55,7 @@
  man-db,
  python3-dateutil,
  python3-pkg-resources,
+ python3-yaml,
  sensible-utils,
 Recommends: pristine-tar (>= 1.41),
  cowbuilder | pbuilder | sbuild,

## git-buildpackage 0.9.30

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: syntax-check test
 
 all+net:
-	$(MAKE) GBP_NETWORK_TESTS=1 all
+	GBP_NETWORK_TESTS=1 $(MAKE) all
 
 test:
 	export HOME=/nonexisting;                       \
@@ -22,6 +22,9 @@
 	flake8 $(FLAKE_OPTS)
 	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)
 
+type-check:
+	mypy gbp
+
 docs:
 	$(MAKE) -C docs
 	$(MAKE) apidocs

=== debian/changelog ===
git-buildpackage (0.9.30) unstable; urgency=medium

  * [f102dca] examples: Add upload script
  * [2e1ff95] tests: Allow file protocol for submodule test
    (Closes: #1023379)
  * [b21f537] Bump standards version to 4.6.1.
    No changes required

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 16:55:53 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	make

execute_after_dh_auto_build:
	make docs

execute_after_dh_fixperms:
	chmod a+x debian/git-buildpackage/usr/lib/python3/dist-packages/gbp/scripts/supercommand.py

execute_after_dh_auto_clean:
	make -C docs/ clean
	find gbp -name __init__.py -printf '%h/__pycache__/\n' | xargs rm -fr

## git-buildpackage 0.9.30+deepin1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: syntax-check test
 
 all+net:
-	GBP_NETWORK_TESTS=1 $(MAKE) all
+	GBP_NETWORK_TESTS=0 $(MAKE) all
 
 test:
 	export HOME=/nonexisting;                       \
@@ -16,7 +16,7 @@
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
 	PYTHONPATH=.					\
-	LC_ALL=$(TEST_LOCALE) python3 setup.py nosetests $(NOSE_OPTS)
+	#LC_ALL=$(TEST_LOCALE) python3 setup.py build #nosetests $(NOSE_OPTS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
@@ -31,6 +31,6 @@
 
 apidocs:
 	mkdir -p build
-	pydoctor -v gbp tests/doctests/
+	#pydoctor -v gbp tests/doctests/
 
 .PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.30+deepin1) unstable; urgency=medium

  [ hudeng-go ]
  * chore: remove rpm and prisine-tar support at deepin beige

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 11 Apr 2023 14:19:36 +0800

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
- pydoctor,
+# pydoctor,
  python3,
  python3-coverage,
  python3-dateutil,
  python3-filelock,
  python3-mock,
  python3-nose,
- python3-nosexcover,
+# python3-nosexcover,
  python3-pkg-resources,
- python3-rpm,
+# python3-rpm,
  python3-setuptools,
  python3-yaml,
  xsltproc,
@@ -31,8 +31,8 @@
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
  git (>= 1:1.7.9.1-1~) <!nocheck>,
- pristine-tar (>= 1.14) <!nocheck>,
- rpm (>= 4.16.1) <!nocheck>,
+# pristine-tar (>= 1.14) <!nocheck>,
+# rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
 # For the network tests

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export WITHOUT_NOSETESTS=1
 
 %:
 	dh $@ --buildsystem=pybuild

## git-buildpackage 0.9.31

=== debian/changelog ===
git-buildpackage (0.9.31) experimental; urgency=medium

  [ Guido Günther ]
  * Upload to experimental.
    gbp-import-orig when used with --upstream-vcs-tag now strips extensions like
    'dfsg', 'ds' or 'repack' from upstream version numbers and handles the
    'really' convention. Let's test this in experimental before uploading to
    unstable.
  * [cf5b2ad] config: Print sensible error message on duplicate sections.
    Don't confuse users with a backtrace.
  * [a420bc9] gbp/deb/git: Don't strip ~ patterns unconditionally.
    They're needed when packaging upstream beta versions. So use
    a positive list instead.
    Fixes: a5575e178639a8e167c7f3090263a03b362e05e7
  * [9c4841e] d/rules: Check for DEB_BUILD_OPTIONS
  * [e358254] dch: Catch d/control parse errors too.
    Print a clear error message instead of hiding it in the backtrace.
    Thanks to Mechtilde Stehmann for the report
  * [4f909d2] pq: Roll back on all errors.
    Drop the pq branch on all exceptions not only on the ones gbp throws
    itself. This makes sure the result is consistent in such situations (no
    patches applied).
  * [8dfec59] patch_series: Ignore whitespace lines.
    E.g. python-coverage has a form feed in the series file.
    Thanks to Ian Jackson for the detailed report (Closes: #1030534)
  * [c72464b] gbp-upload: Check if remote exists

  [ Akbarkhon Variskhanov ]
  * [afcd15b] create-remote-repo.xml: Fix minor typo

  [ Samuel Henrique ]
  * [11728ec] rpm/policy: Add missing dash before version in RPM changelog header.

  [ Huw Jones ]
  * [3434531] repository.create_tag: Explicitly don't sign when sign=False.
    This avoids `tag.gpgsign = true` from git-config leaking through.
    (Closes: #1032932)

  [ Richard Laager ]
  * [29370b5] import-orig: Parse various Debian version patterns.
    This parses common Debian version patterns into the "real" upstream
    version.  For example, 1.1.8+dfsg1 becomes 1.1.8.  This strips epochs,
    handles the +really convention, finds git revisions, and strips other +
    or ~ patterns. (Closes: #968329)

  [ Junichi Uekawa ]
  * [f0e9d41] docs: gbp-pq manpage: refer to the moved location
    gbp-pq manpage refers to a page that says the content has moved.
    I think it can refer to the local html copy[1], or the internet copy.
    [1] /usr/share/doc/git-buildpackage/manual-html/gbp.patches.html
    (Closes: #1035838)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 May 2023 10:59:35 +0200

## git-buildpackage 0.9.32

=== debian/changelog ===
git-buildpackage (0.9.32) unstable; urgency=medium

  * Upload to unstable
    Closes: #1042188

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Aug 2023 09:11:56 +0200

## git-buildpackage 0.9.33

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: syntax-check test
 
 all+net:
-	GBP_NETWORK_TESTS=0 $(MAKE) all
+	GBP_NETWORK_TESTS=1 $(MAKE) all
 
 test:
 	export HOME=/nonexisting;                       \
@@ -16,7 +16,7 @@
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
 	PYTHONPATH=.					\
-	#LC_ALL=$(TEST_LOCALE) python3 setup.py build #nosetests $(NOSE_OPTS)
+	LC_ALL=$(TEST_LOCALE) python3 setup.py nosetests $(NOSE_OPTS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
@@ -31,6 +31,5 @@
 
 apidocs:
 	mkdir -p build
-	#pydoctor -v gbp tests/doctests/
 
 .PHONY: docs

=== docs/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
         gbp-pristine-tar  \
         gbp-pull          \
         gbp-push          \
+        gbp-setup-gitattributes \
         gbp-tag           \
         gbp-buildpackage-rpm \
         gbp-import-srpm   \
@@ -39,11 +40,22 @@
 IMAGES=$(wildcard images/*png)
 DEST_IMAGES=$(subst images/,$(MANUAL)/images/,$(IMAGES))
 
+# Select python
+ifneq ($(strip $(shell which python3)),)
+	PYTHON=python3
+else
+	PYTHON=python
+endif
+
 # Select docbook-to-man tool
-ifeq ($(shell which docbook2x-man), )
+ifneq ($(strip $(shell which docbook2x-man)),)
+	DOCBOOK_TO_MAN=docbook2x-man
+else ifneq ($(strip $(shell which docbook-to-man)),)
 	DOCBOOK_TO_MAN=docbook-to-man
+else ifneq ($(strip $(shell which docbook2man)),)
+	DOCBOOK_TO_MAN=docbook2man
 else
-	DOCBOOK_TO_MAN=docbook2x-man
+	$(error Unable to find usable docbook to man conversion tool)
 endif
 
 all: manual $(MANPAGES)
@@ -78,7 +90,7 @@
 manual.xml: $(VERSION_ENT)
 
 $(GBP_VERSION): ../debian/changelog
-	cd .. && python setup.py build --help >/dev/null
+	cd .. && $(PYTHON) setup.py build --help >/dev/null
 
 $(VERSION_ENT): $(GBP_VERSION)
 	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)
@@ -86,3 +98,10 @@
 clean:
 	-rm -r $(MANUAL)
 	-rm *.1 *.5 $(VERSION_ENT)
+
+po4a:
+	po4a -v -f po/po4a.cfg
+
+langs: po4a
+	$(MAKE) -C _gen/de -f ../../Makefile.lang
+

=== debian/changelog ===
git-buildpackage (0.9.33) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * [f6d90d5] docs: gbp-clone: Fix small typo and fix metadata file name

  [ Guido Günther ]
  * [6923df4] config: Catch DuplicateOption errors.
    Nicer than printing a stack trace
  * [8deb2e1] tests: Make flake8 happy (Closes: #1058551)

  [ Taihsiang Ho (tai271828) ]
  * [d1a9745] d/control: Specify required git version as dependency.
    Explicitly specify the git version to facilitate easier backporting.
    Developers can align with this git version to reduce false alarms due
    to version inconsistencies.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Dec 2023 15:49:47 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
-# pydoctor,
+ pydoctor,
  python3,
  python3-coverage,
  python3-dateutil,
  python3-filelock,
  python3-mock,
  python3-nose,
-# python3-nosexcover,
+ python3-nosexcover,
  python3-pkg-resources,
-# python3-rpm,
+ python3-rpm,
  python3-setuptools,
  python3-yaml,
  xsltproc,
@@ -30,9 +30,9 @@
  bzip2 <!nocheck>,
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
- git (>= 1:1.7.9.1-1~) <!nocheck>,
-# pristine-tar (>= 1.14) <!nocheck>,
-# rpm (>= 4.16.1) <!nocheck>,
+ git (>= 1:2.40.1) <!nocheck>,
+ pristine-tar (>= 1.14) <!nocheck>,
+ rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
 # For the network tests
@@ -51,7 +51,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  devscripts (>= 2.13.5~),
- git (>= 1:1.7.9.1-1~),
+ git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
  python3-pkg-resources,

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
-
-export WITHOUT_NOSETESTS=1
 
 %:
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	make
+endif
 
 execute_after_dh_auto_build:
 	make docs

## git-buildpackage 0.9.34

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
 NOSE_OPTS=--with-xcoverage
 TEST_LOCALE?=C.UTF-8
+
+SH_SCRIPTS = \
+  packaging/run-in-container \
+  $(NULL)
 
 all: syntax-check test
 
@@ -25,6 +29,13 @@
 type-check:
 	mypy gbp
 
+shell-check:
+	@echo "# Validating zsh completion"
+	zsh debian/zsh/_gbp
+	@echo "# Validating bash completion"
+	shellcheck --shell=bash debian/git-buildpackage.bash-completion
+	shellcheck $(SH_SCRIPTS)
+
 docs:
 	$(MAKE) -C docs
 	$(MAKE) apidocs

=== debian/changelog ===
git-buildpackage (0.9.34) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [dbd1b36] salsa-ci: Disable SALSA_CI_DISABLE_VERSION_BUMP.
    Disabling the version automatic version bump in Salsa-CI satisfies
    Python setuptools and build passes.
  * [ae2d10c] docs: Fix misc spelling in documentation.
    In code standardize on using 'commitish' while docs have 'commit-ish'
    like upstream git convention seems to be.
  * [a0e45c6] gbp: Fix misc spelling in user visible output and comments
  * [42c3e15] debian: Fix misc spelling.
    The debian/changelog has many spelling errors but not touching them now
    as changing past changelog entries might be contentious.
  * [13f5205] tests: Implement 'run-in-docker -c docker'
    Typically developers have either Docker or Podman on their laptops for
    running containers. As Podman follows nearly identical syntax as Docker,
    add new option '-c' that allows to specify Podman or Docker as the
    container command, with Podman being default if nothing is defined as
    the main developer is using Podman.
    Also ignore log files both in .gitignore and resulting .dockerignore so
    that tests runs can be logged with 'tee x.log' without triggering
    rebuilds of the container via polluting the 'COPY . .' step.
  * [6df86f9] tests: Avoid busting container layer cache on every file change
  * [c7c73d3] tests: Capitalize Dockerfile commands to follow to formal syntax.
    This is necessary to be able to use static Dockerfile analyzers.
  * [4940747] tests: Fix shell syntax issues in run-in-container.
    If 'run-in-container x' was issued, script would fail silently. With
    this change it will properly exit with 'bad action: x' and help message.
    Also fix a bunch of other minor issues detected by ShellCheck.
  * [dd891c6] tests: Rename run-in-docker to run-in-container to be more generic

  [ Guido Günther ]
  * [75cda52] Validate shell completion functions.
    For zsh we can at least catch syntax errors and use shellcheck for
    bash.
  * [2f47ec4] setup: Move most options to setup.cfg.
    We can move everything that doesn't depend on running a script
    or evaluating environment variables.
  * [307f8ad] docs: Drop NEWS
    dh_installchangelogs handles that
  * [af15aad] rpm: Adjust to new gbp.conf install path.
    To make setup.py happy we moved to an underscore path name in
        2f47ec4c ("setup: Move most options to setup.cfg")
  * [ef0211c] tests: shellcheck packaging-in-container too.
    Now that is passes let's make sure it stays that way.
  * [dca6702] dscfile: Use "file" as context manager.
    Closes the file automatically. Move parsing out of the constructor
    while at that.
  * [2ba5b93] dscfile: Improve error when dsc file isn't UTF-8
    (Closes: #1072387)
  * [c0b776c] examples/zeitgest: Exit early if we don't find the python module.
    Don't use `unicode` while at that.
  * [1233918] rpm: Prefer isinstance() over type()
  * [cbce318] rpm: Prefer 'not in' for membership tests
  * [6166d74] tristate: Prefer isinstance() over type()
  * [9650f68] tests: Prefer isinstance() over type()
  * [364eccb] tests: Clarify noqa tags.
    Ruff is more strict than flake8 here
  * [ff276e5] Add linter configs
  * [077cc51] ci: Run ruff
  * [0d7193b] tests: Avoid assertEquals.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [dde9e7d] tests: Avoid assertRaisesRegexp.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [15f3b8c] Drop format_b.
    We require python 3.5 anyway and Python 3.12 dropped decode from string.
    (Closes: #1074681)

  [ Jochen Sprickerhof ]
  * [026cd23] pull: Allow pull in unclean repos.
    This works just fine when git can fast forward, i.e. with untracked
    content or changes in tracked files that are not touched by the commits.
    In case fast forward is not possible gbp will complain anyhow.

  [ Carlos Henrique Lima Melara ]
  * [385291f] docs: document how to send the tip of debian-branch with gbp push.
    When --debian-tag is set to '' empty string, gbp will push the tip of
    the debian branch to remote.
    Small typo fix also: s/branach/branch/

  [ Sven Geuer ]
  * [1d814b9] docs: create_repo uses DEBFULLNAME not DEBUSER.
    Make the docs match.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jul 2024 20:51:28 +0200

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,9 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
+# For shell validation
+ shellcheck <!nocheck>,
+ zsh <!nocheck>,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
